<?php
// regions for amadou 
function amadou_regions() {
    return array(
        'sidebarone' => t('sidebar one'),
        'sidebartwo' => t('sidebar two'),	
	'content' => t('content')
    );
}
function amadou_get_primaryContent_width($sidebarone, $sidebartwo) {
  $width = 100;
  if (!$sidebarone) {
    $width = $width + 30;
  }  
  if (!$sidebartwo) {
    $width = $width + 30;
  }  
  return $width;
}
// changes the delimiter for taxononmy terms, read more, add new comment, and etc. links for Drupal-4.7.x
function amadou_links($links, $delimiter = ' &bull;&nbsp;')
{
  if (!is_array($links)) {
    return '';
  }

  /* Maps a link to it's associated class */
  $link_to_id = array(
    t('edit') => 'edit',
    t('delete') => 'delete',
    t('Add a new comment to this page') => 'add-comment',
    t('Share your thoughts and opinions related to this posting') => 'add-comment',
    t('Jump to the first comment') => 'comment',
    t('Reply to this comment') => 'reply',
    t('Printer-friendly version') => 'print',
    t('add child page') => 'add-child-page',
    t('calendar') => 'calendar',
  );

  $new_links = array();

  foreach ($links as $link) {
    foreach ($link_to_id as $text => $id) {
      if (strpos($link, $text)) {
        $link = str_replace('<a ', "<a class=\"icon-$id\" ", $link);
        break;
      }
    }
    $new_links[] = $link;
  }

  return implode($delimiter, $new_links);
}
?>
